## org.apache.aries.subsystem.core.archive
Class ResolutionDirective

    java.lang.Object
      org.apache.aries.subsystem.core.archive.AbstractParameter
          org.apache.aries.subsystem.core.archive.AbstractDirective
              org.apache.aries.subsystem.core.archive.ResolutionDirective

All Implemented Interfaces:
  Directive, Parameter

    public class ResolutionDirective

extends AbstractDirective

Field Summary
`static ResolutionDirective` `MANDATORY`
`static String` `NAME`
`static ResolutionDirective` `OPTIONAL`
`static String` `VALUE_MANDATORY`
`static String` `VALUE_OPTIONAL`

Constructor Summary
`ResolutionDirective()`

Method Summary
`static ResolutionDirective` `getInstance(String value)`
`boolean` `isMandatory()`
`boolean` `isOptional()`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractDirective
`getValue, toString`

Methods inherited from class org.apache.aries.subsystem.core.archive.AbstractParameter
`getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.aries.subsystem.core.archive.Parameter
`getName`

Field Detail

### NAME

    public static final String NAME

See Also:
  Constant Field Values

### VALUE_MANDATORY

    public static final String VALUE_MANDATORY

See Also:
  Constant Field Values

### VALUE_OPTIONAL

    public static final String VALUE_OPTIONAL

See Also:
  Constant Field Values

### MANDATORY

    public static final ResolutionDirective MANDATORY

### OPTIONAL

    public static final ResolutionDirective OPTIONAL

Constructor Detail

### ResolutionDirective

    public ResolutionDirective()

Method Detail

### getInstance

    public static ResolutionDirective getInstance(String value)

### isMandatory

    public boolean isMandatory()

### isOptional

    public boolean isOptional()

Copyright © 2009-2013 The Apache Software Foundation. All Rights Reserved.